.preguntas-section {
  background: var(--color-white);
}

.preguntas-container {
  display: flex;
  gap: 60px;
  max-width: 1500px;
  padding: 3% 3% 3% 3%;
  margin: auto;
}

.preguntas-intro {
  flex: 0 0 25%;
  position: sticky;
  top: 120px;
  align-self: flex-start;
}

.preguntas-intro h2 {
  margin-bottom: 10px;
}

.preguntas-intro p {
  margin-bottom: 20px;
}

.preguntas-content {
  flex: 1;
}

.preguntas-header p {
  font-size: 18px;
  margin-bottom: 10px;
}

.preguntas-accordion {
  border-top: 1px solid var(--color-medium-gray);
}

.preguntas-item {
  border-bottom: 1px solid var(--color-medium-gray);
}

.preguntas-question {
  width: 100%;
  background: var(--color-white);
  border: none;
  margin: 20px 0px;
  text-align: left;
  font-size: 18px;
  font-weight: 600;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  gap: 10px;
}

.preguntas-question .icon {
  width: 12px;
  height: 12px;
  border-right: 2px solid var(--color-black);
  border-bottom: 2px solid var(--color-black);
  transform: rotate(45deg);
  transition: transform 0.3s ease;
  flex-shrink: 0;
}

.preguntas-item.active .preguntas-question .icon {
  transform: rotate(-135deg);
}

.preguntas-answer {
  max-height: 0;
  overflow: hidden;
  margin: 0px 0px;
  transition: max-height 0.4s ease, opacity 0.3s ease;
  opacity: 0;
}

.preguntas-item.active .preguntas-answer {
  max-height: 300px;
  margin: 20px 0px;
  opacity: 1;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.preguntas-container {
  flex-direction: column-reverse;
  gap: 30px;
  padding: 5% 5% 5% 5%;
}

.preguntas-intro {
  position: relative;
  top: auto;
}

.preguntas-header p {
  font-size: 17px;
}

.preguntas-question {
  margin: 18px 0px;
  font-size: 17px;
}

.preguntas-item.active .preguntas-answer {
  max-height: 400px;
  margin: 18px 0px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.preguntas-container {
  flex-direction: column-reverse;
  padding: 8% 8% 8% 8%;
}

.preguntas-header p {
  font-size: 16px;
}

.preguntas-question {
  margin: 15px 0px;
  font-size: 16px;
}

.preguntas-item.active .preguntas-answer {
  max-height: 500px;
  margin: 15px 0px;
}
}

/*Animaciones */
.preguntas-item {  
  --visibility-progress: 0;
  opacity: var(--visibility-progress);
  transition: opacity 0.1s linears;
}

.preguntas-item.animate-in {
  --visibility-progress: 1;
}

/*======================================*/
/* DESTACAR BUSQUEDA                    */
/*======================================*/
.preguntas-item,
.preguntas-item * {
  transition: background-color 0.4s ease;
}

.preguntas-item.highlight {
  background-color: var(--color-highlight);
}

.preguntas-item.highlight * {
  background-color: transparent !important;
}
